import PropTypes from 'prop-types';
import React from 'react';
import cx from 'classnames';

var FormTextarea = function FormTextarea(_ref) {
  var className = _ref.className,
      cols = _ref.cols,
      label = _ref.label,
      name = _ref.name,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      onBlur = _ref.onBlur,
      placeholder = _ref.placeholder,
      rows = _ref.rows,
      spellCheck = _ref.spellCheck,
      value = _ref.value;
  return React.createElement("div", {
    className: cx('sui-FormTextarea', className)
  }, label && React.createElement("label", {
    className: "sui-FormTextarea-label"
  }, label), React.createElement("textarea", {
    className: "sui-FormTextarea-element",
    cols: cols,
    name: name,
    onChange: onChange,
    onFocus: onFocus,
    onBlur: onBlur,
    placeholder: placeholder,
    rows: rows,
    spellCheck: spellCheck,
    value: value
  }));
};

FormTextarea.displayName = 'FormTextarea';
FormTextarea.defaultProps = {
  placeholder: '',
  spellCheck: false,
  value: ''
};
export default FormTextarea;